Skip to main content
PATCH

Update selected modifiable participant-local attributes of a party details resource. Can update the participant’s local information for local parties.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Path parameters

string
required

Body

application/json
object
required
OpenAPI type: PartyDetails.Party to be updated Modifiable Required
object
required
OpenAPI type: FieldMask.An update mask specifies how and which properties of the PartyDetails message are to be updated. An update mask consists of a set of update paths. A valid update path points to a field or a subfield relative to the PartyDetails message. A valid update mask must: 1. contain at least one update path, 2. contain only valid update paths. Fields that can be updated are marked as Modifiable. An update path can also point to non-Modifiable fields such as ‘party’ and ‘local_metadata.resource_version’ because they are used: 1. to identify the party details resource subject to the update, 2. for concurrent change control. An update path can also point to non-Modifiable fields such as ‘is_local’ as long as the values provided in the update request match the server values. Examples of update paths: ‘local_metadata.annotations’, ‘local_metadata’. For additional information see the documentation for standard protobuf3’s google.protobuf.FieldMask. For similar Ledger API see com.daml.ledger.api.v2.admin.UpdateUserRequest. Required

Responses

200

application/json
PartyDetails
required
Updated party details Required

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The PATCH /v2/parties/{party} operation changed in this snapshot.